%define anolis_release 1
%global pypi_name mir-eval
%global pypi_version 0.7

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Common metrics for common audio/music processing tasks

License:        MIT
URL:            https://github.com/craffel/mir_eval
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/mir_eval-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python library for computing common heuristic accuracy scores for various music/audio 
information retrieval/signal processing tasks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(future)
Requires:       python3dist(matplotlib) >= 2.1
Requires:       python3dist(numpy) >= 1.7
Requires:       python3dist(scipy) >= 1
Requires:       python3dist(six)
%description -n python3-%{pypi_name}
Python library for computing common heuristic accuracy scores for various music/audio 
information retrieval/signal processing tasks.


%prep
%autosetup -n mir_eval-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/mir_eval
%{python3_sitelib}/mir_eval-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.7-1
- Initial package.